document.addEventListener('DOMContentLoaded', function() {
  // Update last synced time
  const lastSynced = document.querySelector('footer p');
  if (lastSynced) {
    const now = new Date();
    lastSynced.textContent = `Last synced: ${now.toLocaleTimeString()}`;
  }

  // Add animation to action cards
  const actionCards = document.querySelectorAll('.action-card');
  actionCards.forEach(card => {
    card.addEventListener('mouseenter', function() {
      const icon = this.querySelector('.action-icon');
      if (icon) {
        icon.style.transform = 'scale(1.1)';
        icon.style.transition = 'transform 0.2s ease';
      }
    });
    
    card.addEventListener('mouseleave', function() {
      const icon = this.querySelector('.action-icon');
      if (icon) {
        icon.style.transform = 'scale(1)';
      }
    });
  });

  // Simple theme switcher (could be expanded)
  const prefersDark = window.matchMedia('(prefers-color-scheme: dark)').matches;
  if (prefersDark) {
    document.documentElement.style.setProperty('--bg', '#111827');
    document.documentElement.style.setProperty('--card-bg', '#1f2937');
    document.documentElement.style.setProperty('--text', '#f9fafb');
    document.documentElement.style.setProperty('--text-light', '#9ca3af');
    document.documentElement.style.setProperty('--border', '#374151');
  }
});